Package com.sas.lsaf.content.repository

## Enum RunHealthStatus

- java.lang.Object
- - java.lang.Enum<RunHealthStatus>
  - - com.sas.lsaf.content.repository.RunHealthStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<RunHealthStatus>`

      public enum RunHealthStatus
      extends java.lang.Enum<RunHealthStatus>

  Job run health status indicates whether a job is up-to-date since the last successful run. The job might not be up-to-date because of changes to input files, output files, program files, or the job itself since the job was last run. Job associations are obtained from the job definition and the job manifest from the last successful run. Changes to the associated files or the job itself trigger a stale health status. Note: This attribute is only updated if the job contains only SAS programs and the job health status feature is enabled on the system. Otherwise, the status is unknown. Please contact your system administrator to enable this feature.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `STALE` | Modifications to associated files of the job or in locations that have associations to the job run result in a Stale health status.
    `UNKNOWN` | When there is no data about the last job run, the health status of the job (or a version) is initialized to Unknown.
    `UP_TO_DATE` | When a job runs to completion without failures and generates output files, its health status is Up to date.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static RunHealthStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static RunHealthStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final RunHealthStatus UNKNOWN

      When there is no data about the last job run, the health status of the job (or a version) is initialized to Unknown. Newly created jobs or jobs upgraded from prior releases have an Unknown health status.

    - #### UP_TO_DATE

          public static final RunHealthStatus UP_TO_DATE

      When a job runs to completion without failures and generates output files, its health status is Up to date. None of the associated files have changed since the job ran.

    - #### STALE

          public static final RunHealthStatus STALE

      Modifications to associated files of the job or in locations that have associations to the job run result in a Stale health status.

  - ### Method Detail

    - #### values

          public static RunHealthStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RunHealthStatus c : RunHealthStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RunHealthStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null